Get policy
curl --request GET \
--url https://app.kosli.com/api/v2/policies/{org}/{policy_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kosli.com/api/v2/policies/{org}/{policy_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kosli.com/api/v2/policies/{org}/{policy_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"archived": false,
"consuming_envs": [
"production"
],
"created_at": 1633123456,
"created_by": "John Doe",
"description": "Production environment policy",
"events": [
{
"data": {
"version": 1
},
"timestamp": 1633123456,
"type": "policy_created",
"user": "John Doe"
}
],
"last_modified_at": 1633123456,
"name": "production-policy",
"versions": [
{
"comment": "Initial version",
"created_by": "John Doe",
"policy_yaml": "_schema: https://kosli.com/schemas/policy/environment/v1\n\nartifacts:\n provenance:\n required: false",
"timestamp": 1633123456,
"version": 1
}
]
}{
"message": "Policy not found"
}Get policy
Get a Policy in an organization.
GET
/
policies
/
{org}
/
{policy_name}
Get policy
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Response model for a policy
This represents the response structure when retrieving, creating or updating a policy.
Last modified on August 24, 2026
⌘I